Offene Schnittstelle
Einstellungen
Die Einstellungen sind eine flache Liste aus Feld und Wert: Name und Adresse des Betriebs, Rückgabezeiten, Sprachen, Saison, Schalter für Module. Die Namen der Felder sind die der Datenbank und tragen Unterstriche.
Einstellungen lesen
Abschnitt betitelt „Einstellungen lesen“GET/api/ext/v1/settings
Verschlüsselte Spalten gehen hier nicht hinaus. Statt ihrer steht in der Antwort, ob etwas hinterlegt ist: payment_secrets_set für den Zahlungsanbieter, google_reviews_key_set für den Zugang zur Places API.
curl "https://skirent.sumware.at/api/ext/v1/settings" \ -H "Authorization: Bearer $SKI4ME_KEY"const res = await fetch("https://skirent.sumware.at/api/ext/v1/settings", { headers: { Authorization: `Bearer ${process.env.SKI4ME_KEY}`, },});
const data = await res.json();if (!res.ok) throw new Error(`${data.error.code}: ${data.error.hint}`);console.log(data);import osimport requests
res = requests.get( "https://skirent.sumware.at/api/ext/v1/settings", headers={"Authorization": f"Bearer {os.environ['SKI4ME_KEY']}"}, timeout=10,)data = res.json()if not res.ok: raise RuntimeError(f"{data['error']['code']}: {data['error']['hint']}")print(data)<?php
$ch = curl_init('https://skirent.sumware.at/api/ext/v1/settings');curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_TIMEOUT => 10, CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('SKI4ME_KEY'), ],]);$body = curl_exec($ch);$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$data = json_decode($body, true);if ($status >= 400) { throw new RuntimeException($data['error']['code'] . ': ' . $data['error']['hint']);}print_r($data);Antwort200OK
Antwort anzeigen 68 Zeilen
{ "settings": { "id": 1, "name": "Skiverleih Talstation", "legal_name": "Skiverleih Talstation GmbH", "vat_id": "ATU00000000", "email": "office@skiverleih-talstation.example", "phone": "+43 000 000000", "whatsapp": null, "depot_street": "Liftstraße 1", "depot_zip": "5999", "depot_city": "Bergdorf", "depot_country": "AT", "depot_lat": 47.2501, "depot_lng": 13.2002, "accommodation_required": 1, "change_cutoff_time": "18:00", "return_time": "18:00", "late_return_time": "10:00", "locales_json": "[\"de\",\"en\"]", "default_locale": "de", "module_courses": 1, "course_provider_name": "Skischule Bergdorf", "course_provider_addr": "Liftstraße 3, 5999 Bergdorf", "course_provider_vat": null, "course_commission_percent": 12, "module_reviews": 0, "module_guest_accounts": 0, "payment_provider": null, "payment_mode": "demo", "payment_source_code": null, "google_place_id": null, "pii_purge_day": "07-01", "pii_keep_months": 6, "booking_keep_months": 12, "theme_json": null, "updated_at": "2026-11-10T08:00:00.000Z", "warehouse_lat": 47.2501, "warehouse_lng": 13.2002, "course_endpoint": null, "course_school_id": null, "course_templates": null, "season_start": "11-28", "season_end": "04-18", "elfsight_widget_id": null, "notify_booking_new": 1, "notify_guest_change": 1, "notify_needs_review": 1, "notify_damage_report": 1, "notify_sale_paid": 1, "notify_booking_absent": 1, "assistant_enabled": 0, "assistant_daily_limit": 100, "currency": "EUR", "vat_percent": 20, "website_json": "{\"region\":\"Salzburg\",\"openingHours\":[{\"key\":\"daily\",\"schema\":[\"Monday\",\"Tuesday\",\"Wednesday\",\"Thursday\",\"Friday\",\"Saturday\",\"Sunday\"],\"ranges\":[{\"opens\":\"08:00\",\"closes\":\"18:00\"}]}],\"school\":{\"name\":\"Skischule Bergdorf\",\"email\":\"buero@skischule-bergdorf.example\",\"phone\":\"+43 000 000020\",\"street\":\"Liftstraße 3\",\"city\":\"5999 Bergdorf\",\"meetingPoint\":{\"lat\":47.2509,\"lng\":13.2008},\"earlyBookingPercent\":0,\"earlyBookingLeadDays\":0}}", "notify_swap_request": 1, "swap_lead_minutes": 90, "swap_from_time": "09:00", "swap_until_time": "15:30", "promo_percent": null, "notify_link_paid": 1, "module_shop": 0, "age_mode": "exact", "payment_secrets_set": 0, "google_reviews_key_set": 0 }}Wahrheitswerte kommen als 0 oder 1. Zugangsdaten gehen nie hinaus: statt ihrer steht in der Antwort, ob etwas hinterlegt ist, etwa payment_secrets_set.
Häufig gebraucht:
| Feld | Bedeutung |
|---|---|
name, legal_name, vat_id |
Name, Firma und UID des Betriebs |
email, phone |
Kontakt für Gäste |
depot_street, depot_zip, depot_city |
Adresse des Shops |
return_time, late_return_time |
Rückgabe am letzten Tag und bei später Rückgabe am nächsten Morgen |
default_locale, locales_json |
Standardsprache und angebotene Sprachen |
season_start, season_end |
Saison als MM-TT |
accommodation_required |
1: die Kasse verlangt eine Unterkunft aus der Liste |
currency, vat_percent |
Währung und Umsatzsteuersatz |
Einstellungen ändern
Abschnitt betitelt „Einstellungen ändern“PATCH/api/ext/v1/settings
Nur bekannte Felder; ein unbekanntes wird still verworfen. Steht gar nichts Bekanntes im Rumpf, nennt die Antwort die Felder, die es gibt.
Der Rumpf nennt nur die Felder, die sich ändern sollen. Die Antwort ist der neue Stand aller Einstellungen.
curl -X PATCH "https://skirent.sumware.at/api/ext/v1/settings" \ -H "Authorization: Bearer $SKI4ME_KEY" \ -H "Content-Type: application/json" \ -d '{ "return_time": "17:30", "late_return_time": "09:30" }'const res = await fetch("https://skirent.sumware.at/api/ext/v1/settings", { method: "PATCH", headers: { Authorization: `Bearer ${process.env.SKI4ME_KEY}`, "Content-Type": "application/json", }, body: JSON.stringify({ return_time: "17:30", late_return_time: "09:30" }),});
const data = await res.json();if (!res.ok) throw new Error(`${data.error.code}: ${data.error.hint}`);console.log(data);import osimport requests
res = requests.patch( "https://skirent.sumware.at/api/ext/v1/settings", headers={"Authorization": f"Bearer {os.environ['SKI4ME_KEY']}"}, json={"return_time": "17:30", "late_return_time": "09:30"}, timeout=10,)data = res.json()if not res.ok: raise RuntimeError(f"{data['error']['code']}: {data['error']['hint']}")print(data)<?php
$ch = curl_init('https://skirent.sumware.at/api/ext/v1/settings');curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_TIMEOUT => 10, CURLOPT_CUSTOMREQUEST => 'PATCH', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('SKI4ME_KEY'), 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode(['return_time' => '17:30', 'late_return_time' => '09:30']),]);$body = curl_exec($ch);$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$data = json_decode($body, true);if ($status >= 400) { throw new RuntimeException($data['error']['code'] . ': ' . $data['error']['hint']);}print_r($data);Antwort200OK
Antwort anzeigen 68 Zeilen
{ "settings": { "id": 1, "name": "Skiverleih Talstation", "legal_name": "Skiverleih Talstation GmbH", "vat_id": "ATU00000000", "email": "office@skiverleih-talstation.example", "phone": "+43 000 000000", "whatsapp": null, "depot_street": "Liftstraße 1", "depot_zip": "5999", "depot_city": "Bergdorf", "depot_country": "AT", "depot_lat": 47.2501, "depot_lng": 13.2002, "accommodation_required": 1, "change_cutoff_time": "18:00", "return_time": "17:30", "late_return_time": "09:30", "locales_json": "[\"de\",\"en\"]", "default_locale": "de", "module_courses": 1, "course_provider_name": "Skischule Bergdorf", "course_provider_addr": "Liftstraße 3, 5999 Bergdorf", "course_provider_vat": null, "course_commission_percent": 12, "module_reviews": 0, "module_guest_accounts": 0, "payment_provider": null, "payment_mode": "demo", "payment_source_code": null, "google_place_id": null, "pii_purge_day": "07-01", "pii_keep_months": 6, "booking_keep_months": 12, "theme_json": null, "updated_at": "2026-11-10T08:00:00.000Z", "warehouse_lat": 47.2501, "warehouse_lng": 13.2002, "course_endpoint": null, "course_school_id": null, "course_templates": null, "season_start": "11-28", "season_end": "04-18", "elfsight_widget_id": null, "notify_booking_new": 1, "notify_guest_change": 1, "notify_needs_review": 1, "notify_damage_report": 1, "notify_sale_paid": 1, "notify_booking_absent": 1, "assistant_enabled": 0, "assistant_daily_limit": 100, "currency": "EUR", "vat_percent": 20, "website_json": "{\"region\":\"Salzburg\",\"openingHours\":[{\"key\":\"daily\",\"schema\":[\"Monday\",\"Tuesday\",\"Wednesday\",\"Thursday\",\"Friday\",\"Saturday\",\"Sunday\"],\"ranges\":[{\"opens\":\"08:00\",\"closes\":\"18:00\"}]}],\"school\":{\"name\":\"Skischule Bergdorf\",\"email\":\"buero@skischule-bergdorf.example\",\"phone\":\"+43 000 000020\",\"street\":\"Liftstraße 3\",\"city\":\"5999 Bergdorf\",\"meetingPoint\":{\"lat\":47.2509,\"lng\":13.2008},\"earlyBookingPercent\":0,\"earlyBookingLeadDays\":0}}", "notify_swap_request": 1, "swap_lead_minutes": 90, "swap_from_time": "09:00", "swap_until_time": "15:30", "promo_percent": null, "notify_link_paid": 1, "module_shop": 0, "age_mode": "exact", "payment_secrets_set": 0, "google_reviews_key_set": 0 }}Ein unbekanntes Feld wird still verworfen. Steht gar nichts Bekanntes im Rumpf, lehnt der Server ab und nennt die Felder, die es gibt:
curl -X PATCH "https://skirent.sumware.at/api/ext/v1/settings" \ -H "Authorization: Bearer $SKI4ME_KEY" \ -H "Content-Type: application/json" \ -d '{ "rueckgabe": "17:30" }'const res = await fetch("https://skirent.sumware.at/api/ext/v1/settings", { method: "PATCH", headers: { Authorization: `Bearer ${process.env.SKI4ME_KEY}`, "Content-Type": "application/json", }, body: JSON.stringify({ rueckgabe: "17:30" }),});
const data = await res.json();if (!res.ok) throw new Error(`${data.error.code}: ${data.error.hint}`);console.log(data);import osimport requests
res = requests.patch( "https://skirent.sumware.at/api/ext/v1/settings", headers={"Authorization": f"Bearer {os.environ['SKI4ME_KEY']}"}, json={"rueckgabe": "17:30"}, timeout=10,)data = res.json()if not res.ok: raise RuntimeError(f"{data['error']['code']}: {data['error']['hint']}")print(data)<?php
$ch = curl_init('https://skirent.sumware.at/api/ext/v1/settings');curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_TIMEOUT => 10, CURLOPT_CUSTOMREQUEST => 'PATCH', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('SKI4ME_KEY'), 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode(['rueckgabe' => '17:30']),]);$body = curl_exec($ch);$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$data = json_decode($body, true);if ($status >= 400) { throw new RuntimeException($data['error']['code'] . ': ' . $data['error']['hint']);}print_r($data);Antwort400Bad Request
{ "error": { "code": "invalid_request", "message": "Nichts zu ändern.", "status": 400, "hint": "Bekannte Felder: name, legal_name, vat_id, email, phone, whatsapp, depot_street, depot_zip, depot_city, depot_country, depot_lat, depot_lng, accommodation_required, change_cutoff_time, return_time, late_return_time, locales_json, default_locale, module_courses, course_provider_name, course_provider_addr, course_provider_vat, course_commission_percent, module_reviews, module_guest_accounts, payment_provider, payment_mode, payment_source_code, google_place_id, pii_purge_day, pii_keep_months, booking_keep_months, theme_json, updated_at, warehouse_lat, warehouse_lng, course_endpoint, course_school_id, course_templates, season_start, season_end, elfsight_widget_id, notify_booking_new, notify_guest_change, notify_needs_review, notify_damage_report, notify_sale_paid, notify_booking_absent, assistant_enabled, assistant_daily_limit, currency, vat_percent, website_json, notify_swap_request, swap_lead_minutes, swap_from_time, swap_until_time, promo_percent, notify_link_paid, module_shop, age_mode.", "documentation_url": "https://skirent.sumware.at/api/" }}Jede Änderung steht im Journal des Betriebs, mit dem Namen des Schlüssels und den geänderten Feldern.